//
//  TDUndoInvocation.h
//  TDUndoM
//
//  Created by William Thimbleby on 03/09/2005.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface _NSUndoObject : NSObject
{
	id                _target;
	_NSUndoObject*    next;
	_NSUndoObject*    previous;
}

- (id) init;
- (id) initWithTarget: (id) parameter1;
- (void) invoke;
- (char) isBeginMark;
- (char) isEndMark;
- (id) target;

@end

@interface _NSUndoInvocation : _NSUndoObject
{
	NSInvocation*    _invocation;
}

- (void) dealloc;
- (id) description;
- (void) finalize;
- (id) initWithTarget: (id) parameter1 invocation: (id) parameter2;
- (void) invoke;

@end


@interface _NSUndoInvocation(TDUndo)

- (NSInvocation*)invocation;

@end
