//
//  TDUndoManager.h
//  TDUndoM
//
//  Created by William Thimbleby on 03/09/2005.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface TDUndoManager : NSUndoManager
{
	id skipTarget, lastTarget;
	SEL lastSelector;
	BOOL skipping;
}

- (id) prepareWithSkippableInvocationTarget:(id)target;
- (void) registerSkippableUndoWithTarget:(id)target selector:(SEL)sel object:(id)parameter;

@end